Index: /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw
===================================================================
--- /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11413)
+++ /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11414)
@@ -153,5 +153,5 @@
 					<!-- 					BLOCK 1 in der LUFT - alle analog wie diesen :) -->
 					<!-- Sobald ein QBlock von unten gehittet wird, wechselt die Visibility von allen attached Models. Hier wuerde also Cube1.1 invisible und Cube2.12 visible. Die Collisionshape wird ja sowieso beibehalten. -->
-					<SOBQBlock collisionType="static" type="Mushroom" position="170,0,20" mass=-1> 						 			<!-- L1.1 -->
+					<SOBQBlock collisionType="static" type="Mushroom" position="170,0,20" mass='-1'> 						 			<!-- L1.1 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90 />
@@ -163,5 +163,5 @@
 					</SOBQBlock>
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="230,0,60" > 
+					<SOBQBlock collisionType="static" type="Mushroom" position="230,0,60" mass='-1' > 
 						<attached>
 							<Model mesh="QCube.mesh"  scale=10 pitch=90/>
@@ -177,5 +177,5 @@
 
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="220,0,20"><!--ITEM-->
+					<SOBQBlock collisionType="static" type="Mushroom" position="220,0,20" mass='-1'><!--ITEM-->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/> 													<!-- L1.4 --> 
@@ -189,5 +189,5 @@
 					<Model mesh="Cube1.1.mesh" position="230,0,20" scale=10/> 												<!-- L1.5 -->
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="240,0,20"><!-- ? Block --> 
+					<SOBQBlock collisionType="static" type="Mushroom" position="240,0,20" mass='-1'><!-- ? Block --> 
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/> 
@@ -207,5 +207,5 @@
 					<Model mesh="Rohr.mesh" position="585,5,-15" scale=10 pitch=90 />								<!-- L1.11 -->	
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="650,0,30">
+					<SOBQBlock collisionType="static" type="Mushroom" position="650,0,30" mass='-1'>
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/> 													<!-- L1.12 --> 
@@ -222,5 +222,5 @@
 
 
-					<StaticEntity collisionType="static"><!-- ? Block --> 
+					<StaticEntity collisionType="static"  mass='-1'><!-- ? Block --> 
 						<collisionShapes><!-- ?/S Block has his own collisionShape(1,3,5,6) --> 
 							
@@ -241,4 +241,21 @@
 
 
+					<StaticEntity collisionType="static" >
+						<collisionShapes>
+							
+		
+							<BoxCollisionShape position="295,0,-4" halfExtents="12,5,12" /> 						<!-- 1.8 -->
+							<BoxCollisionShape position="395,0,1" halfExtents="12,5,17" /> 						<!-- 1.9 -->
+							<BoxCollisionShape position="475,0,6" halfExtents="12,5,22" /> 						<!-- 1.10 -->
+							<BoxCollisionShape position="585,0,6" halfExtents="12,5,22" /> 						<!-- 1.11 -->
+
+							<!--<CylinderCollisionShape position="295,0,0" radius="10" height="60" pitch=90 />-->
+							
+
+
+						</collisionShapes>
+					</StaticEntity>
+
+
 
 
@@ -250,5 +267,5 @@
 					<Model mesh="Cube2.3.mesh" position="830,0,-30" scale=10 Pitch=90/>							<!-- B2.2 -->
 
-					<StaticEntity collisionType="static">
+					<StaticEntity collisionType="static" mass='-1'>
 						<collisionShapes>
 							<BoxCollisionShape position="780,0,-20" halfExtents="75,5,5" />
@@ -263,5 +280,5 @@
 					<Model mesh="Cube1.1.mesh" position="770,0,20" scale=10/>									<!-- L2.1 -->
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="780,0,20">						<!-- L2.2 -->
+					<SOBQBlock collisionType="static" type="Mushroom" position="780,0,20" mass='-1'>						<!-- L2.2 -->
 						<attached>
 							<Model mesh="QCube.mesh"  scale=10 pitch=90/>
@@ -295,15 +312,15 @@
 					<Model mesh="Cube1.3.mesh" position="910,0,60" scale=10/> 												<!-- L3.1 -->
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="940,0,60"> <!-- ? Block --> 								<!-- L3.2 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90/>
-							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="940,0,20"> <!-- 10er Block --> 								<!-- L3.3 -->
+					<SOBQBlock collisionType="static" type="Mushroom" position="940,0,60" mass='-1'> <!-- ? Block --> 								<!-- L3.2 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="940,0,20" mass='-1'> <!-- 10er Block --> 								<!-- L3.3 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
@@ -319,46 +336,46 @@
 
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="1010,0,20"> <!-- Stern Block --> 							<!-- L3.5 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90/>
-							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="1060,0,20"> <!-- ? Block --> 								<!-- L3.6 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90/>
-							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					
-					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,60"> <!-- Item Block --> 								<!-- L3.7 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90/>
-							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,20"> <!-- ? Block --> 								<!-- L3.8 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90/>
-							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-					
-					<SOBQBlock collisionType="static" type="Mushroom" position="1120,0,20"> <!-- ? Block --> 								<!-- L3.9 -->
+					<SOBQBlock collisionType="static" type="Mushroom" position="1010,0,20" mass='-1'> <!-- Stern Block --> 							<!-- L3.5 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="1060,0,20" mass='-1'> <!-- ? Block --> 								<!-- L3.6 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					
+					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,60" mass='-1'> <!-- Item Block --> 								<!-- L3.7 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,20" mass='-1'> <!-- ? Block --> 								<!-- L3.8 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+					
+					<SOBQBlock collisionType="static" type="Mushroom" position="1120,0,20" mass='-1'> <!-- ? Block --> 								<!-- L3.9 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
@@ -376,5 +393,5 @@
 					<Model mesh="Cube1.1.mesh" position="1280,0,60" scale=10/> 												<!-- L3.12 -->
 
-					<SOBQBlock collisionType="static" position="1290,0,60"> <!-- ? Block --> 								<!-- L3.13 -->
+					<SOBQBlock collisionType="static" type="Mushroom" position="1290,0,60" mass='-1'> 						<!-- L3.13 -->
 						<attached>
 							<Model mesh="QCube.mesh" type="Mushroom" scale=10 pitch=90/>
@@ -387,5 +404,5 @@
 
 
-					<SOBQBlock collisionType="static" position="1300,0,60"> <!-- ? Block --> 								<!-- L3.14 -->
+					<SOBQBlock collisionType="static" type="Mushroom" position="1300,0,60" mass='-1'> 						<!-- L3.14 -->
 						<attached>
 							<Model mesh="QCube.mesh" type="Mushroom" scale=10 pitch=90/>
@@ -405,9 +422,34 @@
 					<Model mesh="Dreieck.mesh" position="1370,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 					<!-- L3.18 --> 
 					<Model mesh="Dreieck.mesh" position="1400,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/> 					<!-- L3.19 -->
-					<Model mesh="Dreieck_links+1.mesh" position="1510,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 					<!-- L3.20 -->  
+					<Model mesh="Dreieck_links+1.mesh" position="1510,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 			<!-- L3.20 -->  
 					
 
 
 					<StaticEntity collisionType="static">
+						<collisionShapes>
+							
+							<BoxCollisionShape position="1355,0,-10" halfExtents="20,5,5" /> 							<!-- 3.18 -->
+							<BoxCollisionShape position="1360,0,0" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1365,0,10" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1370,0,20" halfExtents="5,5,5" />
+
+							<BoxCollisionShape position="1415,0,-10" halfExtents="20,5,5" /> 								<!-- 3.19--> 
+							<BoxCollisionShape position="1410,0,0" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1405,0,10" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1400,0,20" halfExtents="5,5,5" />
+
+							<BoxCollisionShape position="1500,0,-10" halfExtents="25,5,5" /> 								<!-- 3.20 -->
+							<BoxCollisionShape position="1505,0,0" halfExtents="20,5,5" />
+							<BoxCollisionShape position="1510,0,10" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1515,0,20" halfExtents="10,5,5" />
+							
+
+
+
+
+						</collisionShapes>
+					</StaticEntity>
+
+					<StaticEntity collisionType="static" mass='-1'>
 						<collisionShapes>
 							<BoxCollisionShape position="920,0,60" halfExtents="15,5,5" /> 							<!-- 3.1 -->
@@ -422,26 +464,4 @@
 							<BoxCollisionShape position="1300,0,20" halfExtents="10,5,5" /> 						<!-- 3.16 and 3.17-->
 							
-
-							
-							
-							<BoxCollisionShape position="1355,0,-10" halfExtents="20,5,5" /> 							<!-- 3.18 -->
-							<BoxCollisionShape position="1360,0,0" halfExtents="15,5,5" />
-							<BoxCollisionShape position="1365,0,10" halfExtents="10,5,5" />
-							<BoxCollisionShape position="1370,0,20" halfExtents="5,5,5" />
-
-							<BoxCollisionShape position="1415,0,-10" halfExtents="20,5,5" /> 								<!-- 3.19--> 
-							<BoxCollisionShape position="1410,0,0" halfExtents="15,5,5" />
-							<BoxCollisionShape position="1405,0,10" halfExtents="10,5,5" />
-							<BoxCollisionShape position="1400,0,20" halfExtents="5,5,5" />
-
-							<BoxCollisionShape position="1500,0,-10" halfExtents="25,5,5" /> 								<!-- 3.20 -->
-							<BoxCollisionShape position="1505,0,0" halfExtents="20,5,5" />
-							<BoxCollisionShape position="1510,0,10" halfExtents="15,5,5" />
-							<BoxCollisionShape position="1515,0,20" halfExtents="10,5,5" />
-							
-
-
-
-
 						</collisionShapes>
 					</StaticEntity>
@@ -461,5 +481,5 @@
 					
 
-					<StaticEntity collisionType="static">
+					<StaticEntity collisionType="static" mass='-1'>
 						<collisionShapes>
 							<BoxCollisionShape position="1205,0,-20" halfExtents="320,5,5" />
@@ -479,5 +499,5 @@
 					<Model mesh="Cube1.1.mesh" position="1700,0,20" scale=10/> 										<!-- L4.4 -->
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="1710,0,20"> 										<!-- L4.5 -->				
+					<SOBQBlock collisionType="static" type="Mushroom" position="1710,0,20" mass='-1'> 				<!-- L4.5 -->				
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
@@ -491,5 +511,5 @@
 					<Model mesh="Cube1.1.mesh" position="1720,0,20" scale=10/> 										<!-- L4.6 -->
 					<Model mesh="Rohr.mesh" position="1805,5,-35" scale=10 pitch=90 /> 								<!-- L4.7 -->
-					<Model mesh="Dreieck-gross.mesh" position="1850,0,-10" scale=10 pitch=90 /> 					<!-- L4.8 -->
+					<Model mesh="Dreieckgross.mesh" position="1850,0,-10" scale=10 pitch=90 /> 					<!-- L4.8 -->
 
 
@@ -497,9 +517,27 @@
 
 					<Model mesh="Schloss.mesh" position="2050,40,60" scale=12 pitch=90/>					<!-- L4.12 -->
-					<Model mesh="Fahne.mesh" position="1985,0,90" scale=10 pitch=90/>						<!-- L4.11 -->
+					<Model mesh="Fahne.mesh" position="1984,-5,88" scale=10 pitch=90/>						<!-- L4.11 -->
 					<Model mesh="Fahnenstange.mesh" position="1990,0,95" pitch=90 scale=3/>					<!-- L4.10 -->
 					<Model mesh="Fundament.mesh" position="1990,0,-10" scale=10 yaw=180/>					<!-- L4.9 -->
 
-					
+
+
+
+					
+
+
+					
+
+
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+
+							<BoxCollisionShape position="1690,0,20" halfExtents="5,5,5" /> 					<!-- 4.3 -->
+							<BoxCollisionShape position="1700,0,20" halfExtents="5,5,5" /> 					<!-- 4.4 -->
+							<BoxCollisionShape position="1720,0,20" halfExtents="5,5,5" /> 					<!-- 4.6 -->
+
+
+						</collisionShapes>
+					</StaticEntity>
 
 
@@ -514,8 +552,4 @@
 							<BoxCollisionShape position="1645,0,-4" halfExtents="12,5,12" /> 						<!-- 4.2 -->
 
-
-							<BoxCollisionShape position="1690,0,20" halfExtents="5,5,5" /> 					<!-- 4.3 -->
-							<BoxCollisionShape position="1700,0,20" halfExtents="5,5,5" /> 					<!-- 4.4 -->
-							<BoxCollisionShape position="1720,0,20" halfExtents="5,5,5" /> 					<!-- 4.6 -->
 
 							<BoxCollisionShape position="1805,0,-4" halfExtents="12,5,12" /> 						<!-- 4.7 -->
@@ -529,15 +563,17 @@
 							<BoxCollisionShape position="1890,0,50" halfExtents="15,5,5" />
 							<BoxCollisionShape position="1895,0,60" halfExtents="10,5,5" />
-
-
-							
-
-							
-
-
-
-
-						</collisionShapes>
-					</StaticEntity>
+							<BoxCollisionShape position="1990,0,40" halfExtents="5,5,55" />
+
+
+							
+
+							
+
+
+
+
+						</collisionShapes>
+					</StaticEntity>
+
 
 
@@ -587,5 +623,5 @@
 					
 
-					<StaticEntity collisionType="static">
+					<StaticEntity collisionType="static" mass='-1'>
 						<collisionShapes>
 							<BoxCollisionShape position="1855,0,-20" halfExtents="300,5,5" />
Index: /code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw
===================================================================
--- /code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw	(revision 11413)
+++ /code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw	(revision 11414)
@@ -180,10 +180,10 @@
 					<Model mesh="Cube2.12.mesh" position="900,0,-30" scale=10 Pitch=90/> 					
 					<Model mesh="Cube2.12.mesh" position="1020,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.3.mesh" position="1140,0,-30" scale=10 Pitch=90/> 
-
-
-					<StaticEntity collisionType="static">
-						<collisionShapes>
-							<BoxCollisionShape position="695,0,-20" halfExtents="375,5,5" />
+					<Model mesh="Cube2.6.mesh" position="1140,0,-30" scale=10 Pitch=90/> 
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="810,0,-20" halfExtents="390,5,5" />
 						</collisionShapes>
 					</StaticEntity>
@@ -246,23 +246,23 @@
 
 
-					<Model mesh="Cube1.1.mesh" position="570,0,-10" scale=10 Pitch=90/>
-
-					<Model mesh="Cube1.1.mesh" position="590,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="590,0,0" scale=10 Pitch=90/>
-
-					<Model mesh="Cube1.3.mesh" position="610,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="630,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="630,0,0" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="650,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="650,0,0" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.3.mesh" position="670,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.3.mesh" position="710,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="730,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="730,0,0" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="570,0,-10" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="590,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="590,0,0" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.3mars.mesh" position="610,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="630,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="630,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="650,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="650,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3mars.mesh" position="670,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3mars.mesh" position="710,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="730,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="730,0,0" scale=10 Pitch=90/>
 
 					<SOBQBlock collisionType="static" type="Mushroom" position="690,0,30"> 						 			<!-- L1.1 -->
@@ -277,66 +277,294 @@
 
 
-					<Model mesh="Cube1.3.mesh" position="710,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="720,0,20" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="730,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="740,0,40" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="750,0,40" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="760,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="770,0,20" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="780,0,20" scale=10 yaw=-90/>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="780,0,50"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-
-
-					<Model mesh="Cube2.6.mesh" position="840,0,20" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.3.mesh" position="860,0,0" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.3.mesh" position="860,0,80" scale=10 yaw=-90 Pitch=-90/>
-					
-
-
-
-					<Model mesh="Cube1.6.mesh" position="900,0,20" scale=10 />
-					<Model mesh="Cube2.3.mesh" position="900,0,80" scale=10 Pitch=-90/>
-					<Model mesh="Cube2.6.mesh" position="940,0,30" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.2.mesh" position="980,0,80" scale=10 Pitch=-90/>
-					<Model mesh="Cube2.2.mesh" position="1000,0,80" scale=10 Pitch=-90/>
-
-					<Model mesh="Cube2.2.mesh" position="1080,0,80" scale=10 Pitch=-90/>
-					<Model mesh="Cube2.2.mesh" position="1100,0,80" scale=10 Pitch=-90/>
-
-					<Model mesh="Cube2.6.mesh" position="1040,0,20" scale=10 Pitch=-90 yaw=-90/>
-					<Model mesh="Cube1.3.mesh" position="1080,0,20" scale=10 Pitch=-90/>
-					<Model mesh="Cube1.1.mesh" position="1110,0,20" scale=10 Pitch=-90/>
+					<Model mesh="Cube1.3mars.mesh" position="790,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="800,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="810,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="820,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="830,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="840,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="850,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="860,0,20" scale=10 yaw=-90/>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="860,0,50"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+					<Model mesh="Cube2.6mars.mesh" position="920,0,20" scale=10 yaw=-90 Pitch=-90/>				<!--15-->
+					<Model mesh="Cube2.3mars.mesh" position="940,0,11" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.3mars.mesh" position="940,0,80" scale=10 yaw=-90 Pitch=-90/>
+					
+
+
+
+					<Model mesh="Cube1.6mars.mesh" position="980,0,20" scale=10 />								<!--16-->
+					<Model mesh="Cube2.2mars.mesh" position="980,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2mars.mesh" position="1000,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.6mars.mesh" position="1020,0,30" scale=10 yaw=-90 Pitch=-90/>
+
+
+
+					<Model mesh="Cube2.2mars.mesh" position="1060,0,80" scale=10 Pitch=-90/>							<!--17-->
+					<Model mesh="Cube2.2mars.mesh" position="1080,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube1.6mars.mesh" position="1070,0,20" scale=10 Pitch=-90 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="1080,0,20" scale=10 />
+					<Model mesh="Cube1.1mars.mesh" position="1090,0,20" scale=10 />
+					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,30"> 			
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					
+
+					<Model mesh="Cube2.2mars.mesh" position="1120,0,30" scale=10 Pitch=-90/>							<!--18-->
+					<Model mesh="Cube2.2mars.mesh" position="1120,0,50" scale=10 Pitch=-90 />
+					<Model mesh="Cube1.1mars.mesh" position="1120,0,60" scale=10 Pitch=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="1130,0,60" scale=10 Pitch=-90/>
+
+
+
+
+					<Model mesh="Cube1.3mars.mesh" position="1160,0,20" scale=10 Pitch=-90/>							<!--19-->
+					<Model mesh="Cube1.1mars.mesh" position="1190,0,20" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2mars.mesh" position="1160,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2mars.mesh" position="1180,0,80" scale=10 Pitch=-90/>
+
+
+
 
 
 					//Boden3
 
-					<Model mesh="Cube2.12.mesh" position="1150,0,-30" scale=10 Pitch=90/> 					
-					<Model mesh="Cube2.12.mesh" position="1270,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="1390,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.2.mesh" position="1510,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1230,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="1350,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1470,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1590,0,-30" scale=10 Pitch=90/> 
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1420,0,-20" halfExtents="190,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+
+
+					//Luft3
+
+
+					<Model mesh="Cube2.6mars.mesh" position="1240,0,30" scale=10 Pitch=90/>
+					<Model mesh="Rohr.mesh" position="1435,5,-35" scale=10 pitch=90 /> 								<!-- 23 -->
+					<Model mesh="Rohr.mesh" position="1495,5,-25" scale=10 pitch=90 />								<!-- 21 -->
+					<Model mesh="Rohr.mesh" position="1555,5,-15" scale=10 pitch=90 />								<!-- 22 -->
+
+
+
+
+
 
 					//Boden4
-					<Model mesh="Cube2.2.mesh" position="1530,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1630,0,-30" scale=10 Pitch=90/> 
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1640,0,-20" halfExtents="10,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+					//Luft4
+
+					<Model mesh="Cube2.3mars.mesh" position="1630,0,-10" scale=10 yaw=-90 Pitch=-90/>
+
+
+
+
+
 
 					//Boden5
-					<Model mesh="Cube2.12.mesh" position="1550,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1670,0,-30" scale=10 Pitch=90/>
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1730,0,-20" halfExtents="60,5,5" />
+						</collisionShapes>
+					</StaticEntity> 
+
+
+					//Luft5
+
+					<Model mesh="Dreieck+1mars.mesh" position="1770,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/>
+
+
 
 					//Boden6
-					<Model mesh="Cube2.6.mesh" position="1740,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.2.mesh" position="1800,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.6.mesh" position="1860,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1920,0,-30" scale=10 Pitch=90/>
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1900,0,-20" halfExtents="40,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					//Luft6
+					<Model mesh="Cube1.3mars.mesh" position="1860,0,30" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="1890,0,30" scale=10 Pitch=90/>
+					<SOBQBlock collisionType="static" type="Mushroom" position="1900,0,30"> 			
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+
+
 
 					//Boden7
-					<Model mesh="Cube2.12.mesh" position="1890,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="2010,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="2130,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="2010,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.2.mesh" position="2130,0,-30" scale=10 Pitch=90/> 
+					
+					
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="2190,0,-20" halfExtents="180,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					//Luft7
+
+					<Model mesh="Cube2.12mars.mesh" position="2010,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12mars.mesh" position="2110,0,10" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.12mars.mesh" position="2130,0,-10" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Rohr.mesh" position="2120,5,15" scale=10 pitch=90 yaw=-90 /> 
+
+
+
+
+
+
+
+
+
+					//Luft8
+										
+					<Model mesh="Rohr.mesh" position="2505,5,-35" scale=10 pitch=90 /> 								<!-- L4.7 -->
+					<Model mesh="Dreieckgross.mesh" position="2550,0,-10" scale=10 pitch=90 /> 					<!-- L4.8 -->
+
+
+					<Model mesh="Schloss.mesh" position="2750,40,60" scale=12 pitch=90/>					<!-- L4.12 -->
+					<Model mesh="Fahne.mesh" position="2684,-5,88" scale=10 pitch=90/>						<!-- L4.11 -->
+					<Model mesh="Fahnenstange.mesh" position="2690,0,95" pitch=90 scale=3/>					<!-- L4.10 -->
+					<Model mesh="Fundament.mesh" position="2690,0,-10" scale=10 yaw=180/>					<!-- L4.9 -->
+
+					
+
+
+					
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+
+							
+							<BoxCollisionShape position="1805,0,-4" halfExtents="12,5,12" /> 						<!-- 4.7 -->
+
+							<BoxCollisionShape position="2560,0,-10" halfExtents="45,5,5" /> 				<!-- 4.8 -->
+							<BoxCollisionShape position="2565,0,0" halfExtents="40,5,5" />
+							<BoxCollisionShape position="2570,0,10" halfExtents="35,5,5" />
+							<BoxCollisionShape position="2575,0,20" halfExtents="30,5,5" />
+							<BoxCollisionShape position="2580,0,30" halfExtents="25,5,5" />
+							<BoxCollisionShape position="2585,0,40" halfExtents="20,5,5" />
+							<BoxCollisionShape position="2590,0,50" halfExtents="15,5,5" />
+							<BoxCollisionShape position="2595,0,60" halfExtents="10,5,5" />
+							<BoxCollisionShape position="2690,0,40" halfExtents="5,5,55" />
+
+
+							
+
+							
+
+
+
+
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					
+
+					//Boden8
+
+					<Model mesh="Cube2.3.mesh" position="2470,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2500,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2620,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2740,0,-30" scale=10 Pitch=90/>
+
+
+					
+					<Model mesh="Cube1.3.mesh" position="2690,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2690,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2690,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2690,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2660,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2680,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2670,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2680,30,-20" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.1.mesh" position="2700,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2710,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2710,60,-20" scale=10 Pitch=90/>
+					
+
+					<Model mesh="Cube1.6.mesh" position="2720,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,70,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2780,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2810,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2780,70,-20" scale=10 Pitch=90/>
+
+					
+
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+							<BoxCollisionShape position="2785,0,-20" halfExtents="315,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
 
 
